summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAaron Griffin <aaron@archlinux.org>2007-02-26 08:43:02 +0000
committerAaron Griffin <aaron@archlinux.org>2007-02-26 08:43:02 +0000
commit4dd6c9222879198eaff8da464d9eb0ecf6313954 (patch)
tree4599c756911f52b7f61a8714928a6fd122683bca /scripts
parent8fbdd03cce3c04a8208df30f435bc3e91a84ade3 (diff)
downloadpacman-4dd6c9222879198eaff8da464d9eb0ecf6313954.tar.xz
* pacman hidden arguments: removed -Y and -D. -T is the only hidden arg now, to
be used in place of -Y. Also, -D was rather silly, as it does mostly what -S does. * Cleaned up pacman_deptest - removed the goofy faketarget stuff (NEEDS testing still) * libalpm function renames
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/makepkg10
1 files changed, 5 insertions, 5 deletions
diff --git a/scripts/makepkg b/scripts/makepkg
index d9e5919d..fc81ed4c 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -184,7 +184,7 @@ checkdeps() {
pmout=$(pacman $PACMAN_OPTS -T $*)
ret=$?
- if [ $ret -eq 127 ]; then #unresolved deps
+ if [ $ret -eq 1 ]; then #unresolved deps
#strip out the pacman prefix from "requires: xyz"
echo $pmout | sed 's|requires:||g'
elif [ $ret -ne 0 ]; then
@@ -211,8 +211,8 @@ handledeps() {
FAKEROOTKEY2=$FAKEROOTKEY
unset FAKEROOTKEY
fi
- sudo pacman $PACMAN_OPTS -D $deplist
- if [ "$?" = "127" ]; then
+ sudo pacman $PACMAN_OPTS -S $deplist
+ if [ $? -eq 1 ]; then
error "Failed to install missing dependencies."
exit 1
fi
@@ -223,8 +223,8 @@ handledeps() {
elif [ "$DEP_BIN" = "1" ]; then
# install missing deps from binary packages (using pacman -S)
msg "Installing missing dependencies..."
- pacman $PACMAN_OPTS -D $deplist
- if [ "$?" = "127" ]; then
+ pacman $PACMAN_OPTS -S $deplist
+ if [ $? -eq 1 ]; then
error "Failed to install missing dependencies."
exit 1
fi